Get WorkersAsk AIget https://v3.api.hypertrack.com/workers/Fetch workers in a paginated listQuery Paramsfrom_datestring | nullDefaults to nullISO 8601 date format ('yyyy-MM-dd') indicating the start date to be used for the summary computation.Default: Current date in UTC.to_datestring | nullDefaults to nullISO 8601 date format ('yyyy-MM-dd') indicating the end date to be used for the summary computation.Default: Current date in UTC.limitinteger | nullDefaults to 25Number of workers to be sent in responseinclude_schedulebooleanDefaults to trueFlag to include worker's schedule in the response.truefalseinclude_summarybooleanDefaults to trueFlag to include worker's summary stats in the response.truefalseops_group_handlestring | nullDefaults to nullList of ops group handles as comma separated strings used to filter workers.profilestring | nullDefaults to nullProfile filter to be applied on the list of workersworker_handlestring | nullDefaults to nullList of worker handles as comma separated strings used for fetching associated workerssearch_termstring | nullDefaults to nullKeyword to match against worker handle, name, or profilepagination_tokenstring | nullDefaults to nullIdentifier used to fetch the next page of datadevice_iduuid | nullDefaults to nullUnique identifier for a worker's device. This field is present in case the worker is currently linked with a deviceinclude_deletedbooleanDefaults to falseFlag to include deleted workerstruefalsefrom_timedate-time | nullDefaults to nulldeprecatedISO 8601 datetime indicating the start time to be used for computing summary, status.to_timedate-time | nullDefaults to nulldeprecatedISO 8601 datetime indicating the end time to be used for computing summary, status.filter_outagestring | nullDefaults to nullFilter workers on a particular outage code.filter_outage_categorystring | nullDefaults to nullList of comma separated outage categories to be used for filtering workers. Valid categories: behavioural,adversarial,reachability,os,sporadicfilter_geofence_metadatastring | nullDefaults to nullgeofence_metadata filter for aggregate responseaggregatebooleanDefaults to falseFlag set to retrieve aggregated data over the provided time rangetruefalsework_statusstring | nullDefaults to nullURL-encoded json string specifying filters on availability or tracking.filter_statusstring | nullenumDefaults to nullOnly list workers that are currently active/inactive/disconnected.activeinactivedisconnectedAllowed:activeinactivedisconnectedtrackedboolean | nullDefaults to nullIf set to true, only shows workers that were actually tracked during the specified period.truefalseworkedboolean | nullDefaults to nullIf set to true, only shows workers that actually during the specified period.truefalseintended_to_trackboolean | nullDefaults to nullIf set to true, only shows workers that was supposed to be tracked during the specified period.truefalseinclude_lpboolean | nullDefaults to falseFlag to include location permission stats in response (only applicable when aggregate=True).truefalseregion_filterstring | nullDefaults to nullURL-encoded JSON string used to filter workers from a particular region. Ex {"city":"Detroit"}Responses 200Successful response 401Authentication error 422Validation errorUpdated 7 months ago